# swagger-client
TollGuru Calculator API  # Authentication  <!-- ReDoc-Inject: <security-definitions> -->

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2020-05-31T17:48:12Z
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen
For more information, please visit [tollguru.com](tollguru.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.GPSTracestracksApi(swagger_client.ApiClient(configuration))
body = swagger_client.Body1() # Body1 |  (optional)

try:
    # Download Async Results
    api_response = api_instance.route_download_post(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling GPSTracestracksApi->route_download_post: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.GPSTracestracksApi(swagger_client.ApiClient(configuration))
vehicle_type = 'vehicle_type_example' # str | 
body = swagger_client.Object() # Object |  (optional)
vehicle_name = 'vehicle_name_example' # str | Specify name for your vehicle to identify the response json for particular vehicle (optional)
height = 'height_example' # str | Specify the vehicle height to get accurate tolls for toll roads where tolls depend on axles and vehicle height (optional)
weight = 'weight_example' # str | Specify the vehicle weight to get accurate tolls for toll roads where tolls depend on axles and vehicle weight (optional)
is_async = false # bool | The API will function in asynchronous mode is set to true (optional) (default to false)

try:
    # Request
    api_response = api_instance.route_upload_post(vehicle_type, body=body, vehicle_name=vehicle_name, height=height, weight=weight, is_async=is_async)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling GPSTracestracksApi->route_upload_post: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://dev.tollguru.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*GPSTracestracksApi* | [**route_download_post**](docs/GPSTracestracksApi.md#route_download_post) | **POST** /route/download | Download Async Results
*GPSTracestracksApi* | [**route_upload_post**](docs/GPSTracestracksApi.md#route_upload_post) | **POST** /route/upload | Request
*OriginAndDestinationPairApi* | [**gmaps_post**](docs/OriginAndDestinationPairApi.md#gmaps_post) | **POST** /gmaps | Google Maps Routes
*OriginAndDestinationPairApi* | [**here_post**](docs/OriginAndDestinationPairApi.md#here_post) | **POST** /here | HERE Maps Routes
*RoutePolylineApi* | [**route_post**](docs/RoutePolylineApi.md#route_post) | **POST** /route | Route polyline (from HERE/ Google map)

## Documentation For Models

 - [Address](docs/Address.md)
 - [AllOfGmapRequestBodyDriver](docs/AllOfGmapRequestBodyDriver.md)
 - [AllOfGmapRequestBodyFrom](docs/AllOfGmapRequestBodyFrom.md)
 - [AllOfGmapRequestBodyFuelEfficiency](docs/AllOfGmapRequestBodyFuelEfficiency.md)
 - [AllOfGmapRequestBodyHos](docs/AllOfGmapRequestBodyHos.md)
 - [AllOfGmapRequestBodyTo](docs/AllOfGmapRequestBodyTo.md)
 - [AllOfGmapRequestBodyVehicleType](docs/AllOfGmapRequestBodyVehicleType.md)
 - [AllOfHereRequestBodyDriver](docs/AllOfHereRequestBodyDriver.md)
 - [AllOfHereRequestBodyFrom](docs/AllOfHereRequestBodyFrom.md)
 - [AllOfHereRequestBodyFuelEfficiency](docs/AllOfHereRequestBodyFuelEfficiency.md)
 - [AllOfHereRequestBodyHos](docs/AllOfHereRequestBodyHos.md)
 - [AllOfHereRequestBodyTo](docs/AllOfHereRequestBodyTo.md)
 - [AllOfHereRequestBodyTruck](docs/AllOfHereRequestBodyTruck.md)
 - [AllOfHereRequestBodyVehicleType](docs/AllOfHereRequestBodyVehicleType.md)
 - [AllOfHereResponseSummaryFuelEfficiency](docs/AllOfHereResponseSummaryFuelEfficiency.md)
 - [AllOfHereResponseSummaryVehicleType](docs/AllOfHereResponseSummaryVehicleType.md)
 - [AnyOfbody](docs/AnyOfbody.md)
 - [AsyncResponse](docs/AsyncResponse.md)
 - [Body](docs/Body.md)
 - [Body1](docs/Body1.md)
 - [Cost](docs/Cost.md)
 - [Direction](docs/Direction.md)
 - [DirectionPosition](docs/DirectionPosition.md)
 - [Driver](docs/Driver.md)
 - [FuelEfficiency](docs/FuelEfficiency.md)
 - [GeoCordinates](docs/GeoCordinates.md)
 - [GmapRequestBody](docs/GmapRequestBody.md)
 - [GmapResponse](docs/GmapResponse.md)
 - [GmapRouteResponse](docs/GmapRouteResponse.md)
 - [HereRequestBody](docs/HereRequestBody.md)
 - [HereResponse](docs/HereResponse.md)
 - [HereResponseSummary](docs/HereResponseSummary.md)
 - [HereResponseSummaryFuelPrice](docs/HereResponseSummaryFuelPrice.md)
 - [HosData](docs/HosData.md)
 - [HosReq](docs/HosReq.md)
 - [HosResponse](docs/HosResponse.md)
 - [HosResponseSummary](docs/HosResponseSummary.md)
 - [HosResponseSummaryTotalDistance](docs/HosResponseSummaryTotalDistance.md)
 - [HosResponseSummaryTotalDriveDuration](docs/HosResponseSummaryTotalDriveDuration.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse200Route](docs/InlineResponse200Route.md)
 - [Location](docs/Location.md)
 - [ModelDateTime](docs/ModelDateTime.md)
 - [OneOfGmapRequestBodyDepartureTime](docs/OneOfGmapRequestBodyDepartureTime.md)
 - [OneOfHereRequestBodyDepartureTime](docs/OneOfHereRequestBodyDepartureTime.md)
 - [OneOfLocation](docs/OneOfLocation.md)
 - [OneOfinlineResponse2001](docs/OneOfinlineResponse2001.md)
 - [PlaceId](docs/PlaceId.md)
 - [Rates](docs/Rates.md)
 - [Route](docs/Route.md)
 - [RouteLocation](docs/RouteLocation.md)
 - [RouteResponse](docs/RouteResponse.md)
 - [RouteResponseSummary](docs/RouteResponseSummary.md)
 - [RouteResponseSummaryDiffs](docs/RouteResponseSummaryDiffs.md)
 - [RouteResponseSummaryDistance](docs/RouteResponseSummaryDistance.md)
 - [RouteResponseSummaryDuration](docs/RouteResponseSummaryDuration.md)
 - [Stop](docs/Stop.md)
 - [SyncResponse](docs/SyncResponse.md)
 - [SyncResponseRoute](docs/SyncResponseRoute.md)
 - [SyncResponseSummary](docs/SyncResponseSummary.md)
 - [TeritoryMielageRes](docs/TeritoryMielageRes.md)
 - [TeritoryMielageResInner](docs/TeritoryMielageResInner.md)
 - [Timestamp](docs/Timestamp.md)
 - [Toll](docs/Toll.md)
 - [Truck](docs/Truck.md)
 - [VehicleType](docs/VehicleType.md)

## Documentation For Authorization


## authorizer

- **Type**: API key
- **API key parameter name**: x-api-key
- **Location**: HTTP header


## Author

eng@tollguru.com
