# swagger_client.GPSTracestracksApi

All URIs are relative to *https://dev.tollguru.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route_download_post**](GPSTracestracksApi.md#route_download_post) | **POST** /route/download | Download Async Results
[**route_upload_post**](GPSTracestracksApi.md#route_upload_post) | **POST** /route/upload | Request

# **route_download_post**
> SyncResponse route_download_post(body=body)

Download Async Results

The results will be available for download for upto 30 days by calling the API.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.GPSTracestracksApi()
body = swagger_client.Body1() # Body1 |  (optional)

try:
    # Download Async Results
    api_response = api_instance.route_download_post(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling GPSTracestracksApi->route_download_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Body1**](Body1.md)|  | [optional] 

### Return type

[**SyncResponse**](SyncResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **route_upload_post**
> InlineResponse2001 route_upload_post(vehicle_type, body=body, vehicle_name=vehicle_name, height=height, weight=weight, is_async=is_async)

Request

<p>This API can be used in synchronous and asynchronous modes. The default mode of operation is synchronous mode where the API response with toll information is returned immediately.</p><p>Asynchronous mode is used in the following cases: </p><ul> <li>Bulk upload of multiple GPS tracks files</li><li>Uploading large GPS tracks files</li></ul><p>In asynchronous mode, the response is returned immediately with a <code>requestId</code> and <code>requestedTimestamp</code>. The results will be available for download for upto 30 days by calling the <code>route/download</code> API. Asynchronous mode can used by specifying the url parameter <code>isAsync=true</code>.</p><p>GPS traces can be passed in the following format </p><ul> <li>Upload CSV file</li><li>Upload kml file</li></ul><p>The first line in the CSV needs to contain the attribute names. The subsequent lines needs to contain the data in temporal order. The following parameters are available:</p><table><thead><tr><th>Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong>latitude</strong></td><td>Latitude coordinate in WGS84 degree (mandatory)</td></tr><tr><td><strong>longitude</strong></td><td>Longitude coordinate in WGS84 degree (mandatory)</td></tr><tr><td><strong>timestamp</strong></td><td>indicates the time and date, for example&nbsp;&nbsp;2018-05-21T17:05:06Z (mandatory since tolls may change based on time)</td></tr><tr><td><strong>speed_mps</strong></td><td>speed in meters per second (optional)</td></tr><tr><td><strong>speed_mph</strong></td><td>speed in miles per hour (optional)</td></tr><tr><td><strong>speed_kmh</strong></td><td>speed in kilometers per hour (optional)</td></tr><tr><td><strong>heading</strong></td><td>heading in degrees clockwise from North (optional)</td></tr></tbody></table><p>You can download sample file from <a href=\"https://tollguru-cdn.s3.us-east-2.amazonaws.com/trip_route.csv\" target=\"_blank\">here</a></p><p>Or use the CSV format file as shown in the table below:</p><table> <tr> <th>latitude</th> <th>longitude</th> <th>timestamp</th> </tr><tr> <td style=\"text-align: center;\">38.90479</td><td style=\"text-align: center;\">-77.02607</td><td style=\"text-align: center;\">2019-12-16T15:45:23Z</td></tr><tr> <td style=\"text-align: center;\">38.90479</td><td style=\"text-align: center;\">-77.02606</td><td style=\"text-align: center;\">2019-12-16T15:47:24Z</td></tr><tr> <td style=\"text-align: center;\">38.9048</td><td style=\"text-align: center;\">-77.02608</td><td style=\"text-align: center;\">2019-12-16T15:49:25Z</td></tr><tr> <td style=\"text-align: center;\">38.9044</td><td style=\"text-align: center;\">-77.02604</td><td style=\"text-align: center;\">2019-12-16T15:50:42Z</td></tr><tr> <td style=\"text-align: center;\">38.90424</td><td style=\"text-align: center;\">-77.02646</td><td style=\"text-align: center;\">2019-12-16T15:50:49Z</td></tr><tr> <td style=\"text-align: center;\">38.90422</td><td style=\"text-align: center;\">-77.02686</td><td style=\"text-align: center;\">2019-12-16T15:50:55Z</td></tr></table>

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.GPSTracestracksApi()
vehicle_type = 'vehicle_type_example' # str | 
body = swagger_client.Object() # Object |  (optional)
vehicle_name = 'vehicle_name_example' # str | Specify name for your vehicle to identify the response json for particular vehicle (optional)
height = 'height_example' # str | Specify the vehicle height to get accurate tolls for toll roads where tolls depend on axles and vehicle height (optional)
weight = 'weight_example' # str | Specify the vehicle weight to get accurate tolls for toll roads where tolls depend on axles and vehicle weight (optional)
is_async = false # bool | The API will function in asynchronous mode is set to true (optional) (default to false)

try:
    # Request
    api_response = api_instance.route_upload_post(vehicle_type, body=body, vehicle_name=vehicle_name, height=height, weight=weight, is_async=is_async)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling GPSTracestracksApi->route_upload_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **vehicle_type** | **str**|  | 
 **body** | **Object**|  | [optional] 
 **vehicle_name** | **str**| Specify name for your vehicle to identify the response json for particular vehicle | [optional] 
 **height** | **str**| Specify the vehicle height to get accurate tolls for toll roads where tolls depend on axles and vehicle height | [optional] 
 **weight** | **str**| Specify the vehicle weight to get accurate tolls for toll roads where tolls depend on axles and vehicle weight | [optional] 
 **is_async** | **bool**| The API will function in asynchronous mode is set to true | [optional] [default to false]

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: text/csv
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

