# swagger_client.OriginAndDestinationPairApi

All URIs are relative to *https://dev.tollguru.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**gmaps_post**](OriginAndDestinationPairApi.md#gmaps_post) | **POST** /gmaps | Google Maps Routes
[**here_post**](OriginAndDestinationPairApi.md#here_post) | **POST** /here | HERE Maps Routes

# **gmaps_post**
> GmapResponse gmaps_post(body=body)

Google Maps Routes

HTTP Request for cars, SUVs, pick-ups, motorcycles

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: authorizer
configuration = swagger_client.Configuration()
configuration.api_key['x-api-key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['x-api-key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.OriginAndDestinationPairApi(swagger_client.ApiClient(configuration))
body = swagger_client.GmapRequestBody() # GmapRequestBody |  (optional)

try:
    # Google Maps Routes
    api_response = api_instance.gmaps_post(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling OriginAndDestinationPairApi->gmaps_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**GmapRequestBody**](GmapRequestBody.md)|  | [optional] 

### Return type

[**GmapResponse**](GmapResponse.md)

### Authorization

[authorizer](../README.md#authorizer)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **here_post**
> HereResponse here_post(body=body)

HERE Maps Routes

<p>HTTP Request for trucks, buses, RVs, cars, SUV, pick-ups, motorcycles</p><p>For trucks you should specify truck weight, wherever possible. Some bridges and tunnels restrict trucks based on weight. If you are transporting HAZMAT material, please specify material type. If you do not specify HAZMAT restrictions and weight restrictions, none will be applied.</p>

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: authorizer
configuration = swagger_client.Configuration()
configuration.api_key['x-api-key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['x-api-key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.OriginAndDestinationPairApi(swagger_client.ApiClient(configuration))
body = swagger_client.HereRequestBody() # HereRequestBody |  (optional)

try:
    # HERE Maps Routes
    api_response = api_instance.here_post(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling OriginAndDestinationPairApi->here_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**HereRequestBody**](HereRequestBody.md)|  | [optional] 

### Return type

[**HereResponse**](HereResponse.md)

### Authorization

[authorizer](../README.md#authorizer)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

