# coding: utf-8

"""
    TollGuru Calculator

    TollGuru Calculator API  # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 2020-05-31T17:48:12Z
    Contact: eng@tollguru.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class Body(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'source': 'str',
        'polyline': 'str',
        'path': 'str',
        'vehicle_type': 'VehicleType',
        'departure_time': 'Object'
    }

    attribute_map = {
        'source': 'source',
        'polyline': 'polyline',
        'path': 'path',
        'vehicle_type': 'vehicleType',
        'departure_time': 'departure_time'
    }

    def __init__(self, source='here', polyline=None, path=None, vehicle_type=None, departure_time=None):  # noqa: E501
        """Body - a model defined in Swagger"""  # noqa: E501
        self._source = None
        self._polyline = None
        self._path = None
        self._vehicle_type = None
        self._departure_time = None
        self.discriminator = None
        if source is not None:
            self.source = source
        if polyline is not None:
            self.polyline = polyline
        if path is not None:
            self.path = path
        if vehicle_type is not None:
            self.vehicle_type = vehicle_type
        if departure_time is not None:
            self.departure_time = departure_time

    @property
    def source(self):
        """Gets the source of this Body.  # noqa: E501

        Specify route source, either <code>here</code> for HERE maps routes based polyline or <code>gmaps</code> for Google Maps polylines  # noqa: E501

        :return: The source of this Body.  # noqa: E501
        :rtype: str
        """
        return self._source

    @source.setter
    def source(self, source):
        """Sets the source of this Body.

        Specify route source, either <code>here</code> for HERE maps routes based polyline or <code>gmaps</code> for Google Maps polylines  # noqa: E501

        :param source: The source of this Body.  # noqa: E501
        :type: str
        """
        allowed_values = ["here", "gmap"]  # noqa: E501
        if source not in allowed_values:
            raise ValueError(
                "Invalid value for `source` ({0}), must be one of {1}"  # noqa: E501
                .format(source, allowed_values)
            )

        self._source = source

    @property
    def polyline(self):
        """Gets the polyline of this Body.  # noqa: E501

        Specify route as Google Maps encoded polyline (<a href=\"https://developers.google.com/maps/documentation/utilities/polylinealgorithm\" target=\"_blank\">see details</a>)  # noqa: E501

        :return: The polyline of this Body.  # noqa: E501
        :rtype: str
        """
        return self._polyline

    @polyline.setter
    def polyline(self, polyline):
        """Sets the polyline of this Body.

        Specify route as Google Maps encoded polyline (<a href=\"https://developers.google.com/maps/documentation/utilities/polylinealgorithm\" target=\"_blank\">see details</a>)  # noqa: E501

        :param polyline: The polyline of this Body.  # noqa: E501
        :type: str
        """

        self._polyline = polyline

    @property
    def path(self):
        """Gets the path of this Body.  # noqa: E501

        Specify route as a set of comma-separated <strong><code>lat,lng</code></strong> coordinates delimited by a pipe character (|)  # noqa: E501

        :return: The path of this Body.  # noqa: E501
        :rtype: str
        """
        return self._path

    @path.setter
    def path(self, path):
        """Sets the path of this Body.

        Specify route as a set of comma-separated <strong><code>lat,lng</code></strong> coordinates delimited by a pipe character (|)  # noqa: E501

        :param path: The path of this Body.  # noqa: E501
        :type: str
        """

        self._path = path

    @property
    def vehicle_type(self):
        """Gets the vehicle_type of this Body.  # noqa: E501


        :return: The vehicle_type of this Body.  # noqa: E501
        :rtype: VehicleType
        """
        return self._vehicle_type

    @vehicle_type.setter
    def vehicle_type(self, vehicle_type):
        """Sets the vehicle_type of this Body.


        :param vehicle_type: The vehicle_type of this Body.  # noqa: E501
        :type: VehicleType
        """

        self._vehicle_type = vehicle_type

    @property
    def departure_time(self):
        """Gets the departure_time of this Body.  # noqa: E501


        :return: The departure_time of this Body.  # noqa: E501
        :rtype: Object
        """
        return self._departure_time

    @departure_time.setter
    def departure_time(self, departure_time):
        """Sets the departure_time of this Body.


        :param departure_time: The departure_time of this Body.  # noqa: E501
        :type: Object
        """

        self._departure_time = departure_time

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(Body, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, Body):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
