# coding: utf-8

"""
    TollGuru Calculator

    TollGuru Calculator API  # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 2020-05-31T17:48:12Z
    Contact: eng@tollguru.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class Truck(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'truck_type': 'str',
        'trailers_count': 'float',
        'shipped_hazardous_goods': 'str',
        'limited_weight': 'float',
        'weight_per_axle': 'float',
        'height': 'float',
        'width': 'float',
        'length': 'float',
        'tunnel_category': 'str',
        'truck_restriction_penalty': 'str'
    }

    attribute_map = {
        'truck_type': 'truckType',
        'trailers_count': 'trailersCount',
        'shipped_hazardous_goods': 'shippedHazardousGoods',
        'limited_weight': 'limitedWeight',
        'weight_per_axle': 'weightPerAxle',
        'height': 'height',
        'width': 'width',
        'length': 'length',
        'tunnel_category': 'tunnelCategory',
        'truck_restriction_penalty': 'truckRestrictionPenalty'
    }

    def __init__(self, truck_type=None, trailers_count=0, shipped_hazardous_goods=None, limited_weight=None, weight_per_axle=None, height=None, width=None, length=None, tunnel_category=None, truck_restriction_penalty=None):  # noqa: E501
        """Truck - a model defined in Swagger"""  # noqa: E501
        self._truck_type = None
        self._trailers_count = None
        self._shipped_hazardous_goods = None
        self._limited_weight = None
        self._weight_per_axle = None
        self._height = None
        self._width = None
        self._length = None
        self._tunnel_category = None
        self._truck_restriction_penalty = None
        self.discriminator = None
        if truck_type is not None:
            self.truck_type = truck_type
        if trailers_count is not None:
            self.trailers_count = trailers_count
        if shipped_hazardous_goods is not None:
            self.shipped_hazardous_goods = shipped_hazardous_goods
        if limited_weight is not None:
            self.limited_weight = limited_weight
        if weight_per_axle is not None:
            self.weight_per_axle = weight_per_axle
        if height is not None:
            self.height = height
        if width is not None:
            self.width = width
        if length is not None:
            self.length = length
        if tunnel_category is not None:
            self.tunnel_category = tunnel_category
        if truck_restriction_penalty is not None:
            self.truck_restriction_penalty = truck_restriction_penalty

    @property
    def truck_type(self):
        """Gets the truck_type of this Truck.  # noqa: E501

        Specifies the vehicle type<br><strong>Note</strong>: Relevant for restrictions that apply exclusively to tractors with semi-trailers (observed in North America). Such restrictions are taken into account only in case of the <code>truckType</code> set to <code>tractorTruck</code> and the trailers count greater than 0 (for example <code>truckType: \"tractorTruck\", trailersCount: 1</code>). The truck type is irrelevant in case of restrictions common for all types of trucks.  # noqa: E501

        :return: The truck_type of this Truck.  # noqa: E501
        :rtype: str
        """
        return self._truck_type

    @truck_type.setter
    def truck_type(self, truck_type):
        """Sets the truck_type of this Truck.

        Specifies the vehicle type<br><strong>Note</strong>: Relevant for restrictions that apply exclusively to tractors with semi-trailers (observed in North America). Such restrictions are taken into account only in case of the <code>truckType</code> set to <code>tractorTruck</code> and the trailers count greater than 0 (for example <code>truckType: \"tractorTruck\", trailersCount: 1</code>). The truck type is irrelevant in case of restrictions common for all types of trucks.  # noqa: E501

        :param truck_type: The truck_type of this Truck.  # noqa: E501
        :type: str
        """
        allowed_values = ["truck", "tractorTruck"]  # noqa: E501
        if truck_type not in allowed_values:
            raise ValueError(
                "Invalid value for `truck_type` ({0}), must be one of {1}"  # noqa: E501
                .format(truck_type, allowed_values)
            )

        self._truck_type = truck_type

    @property
    def trailers_count(self):
        """Gets the trailers_count of this Truck.  # noqa: E501

        Specifies number of trailers pulled by a vehicle. The provided value must be between 0 and 4.  # noqa: E501

        :return: The trailers_count of this Truck.  # noqa: E501
        :rtype: float
        """
        return self._trailers_count

    @trailers_count.setter
    def trailers_count(self, trailers_count):
        """Sets the trailers_count of this Truck.

        Specifies number of trailers pulled by a vehicle. The provided value must be between 0 and 4.  # noqa: E501

        :param trailers_count: The trailers_count of this Truck.  # noqa: E501
        :type: float
        """

        self._trailers_count = trailers_count

    @property
    def shipped_hazardous_goods(self):
        """Gets the shipped_hazardous_goods of this Truck.  # noqa: E501

        List of hazardous materials in the vehicle. The names correspond to <a href=\"https://www.fmcsa.dot.gov/sites/fmcsa.dot.gov/files/docs/Nine_Classes_of_Hazardous_Materials-4-2013_508CLN.pdf\" target=\"_blank\"> HAZMAT classes 1 to 9. <br> For example, explosive is Class 1 and so on. </a>  # noqa: E501

        :return: The shipped_hazardous_goods of this Truck.  # noqa: E501
        :rtype: str
        """
        return self._shipped_hazardous_goods

    @shipped_hazardous_goods.setter
    def shipped_hazardous_goods(self, shipped_hazardous_goods):
        """Sets the shipped_hazardous_goods of this Truck.

        List of hazardous materials in the vehicle. The names correspond to <a href=\"https://www.fmcsa.dot.gov/sites/fmcsa.dot.gov/files/docs/Nine_Classes_of_Hazardous_Materials-4-2013_508CLN.pdf\" target=\"_blank\"> HAZMAT classes 1 to 9. <br> For example, explosive is Class 1 and so on. </a>  # noqa: E501

        :param shipped_hazardous_goods: The shipped_hazardous_goods of this Truck.  # noqa: E501
        :type: str
        """
        allowed_values = ["explosive", "gas", "flammable", "combustible", "organic", "poison", "radioActive", "corrosive", "miscellaneous"]  # noqa: E501
        if shipped_hazardous_goods not in allowed_values:
            raise ValueError(
                "Invalid value for `shipped_hazardous_goods` ({0}), must be one of {1}"  # noqa: E501
                .format(shipped_hazardous_goods, allowed_values)
            )

        self._shipped_hazardous_goods = shipped_hazardous_goods

    @property
    def limited_weight(self):
        """Gets the limited_weight of this Truck.  # noqa: E501

        Vehicle weight including trailers and shipped goods, in pounds. <br> If truck weight is not specified, incorrect tolls may be calculated for trucks on Pennsylvania turnpike and other toll locations where tolls are based on weight.  # noqa: E501

        :return: The limited_weight of this Truck.  # noqa: E501
        :rtype: float
        """
        return self._limited_weight

    @limited_weight.setter
    def limited_weight(self, limited_weight):
        """Sets the limited_weight of this Truck.

        Vehicle weight including trailers and shipped goods, in pounds. <br> If truck weight is not specified, incorrect tolls may be calculated for trucks on Pennsylvania turnpike and other toll locations where tolls are based on weight.  # noqa: E501

        :param limited_weight: The limited_weight of this Truck.  # noqa: E501
        :type: float
        """

        self._limited_weight = limited_weight

    @property
    def weight_per_axle(self):
        """Gets the weight_per_axle of this Truck.  # noqa: E501

        Vehicle weight per axle in pounds. <br> If truck weight is not specified, incorrect tolls may be calculated for trucks on Pennsylvania turnpike and other toll locations where tolls are based on weight.  # noqa: E501

        :return: The weight_per_axle of this Truck.  # noqa: E501
        :rtype: float
        """
        return self._weight_per_axle

    @weight_per_axle.setter
    def weight_per_axle(self, weight_per_axle):
        """Sets the weight_per_axle of this Truck.

        Vehicle weight per axle in pounds. <br> If truck weight is not specified, incorrect tolls may be calculated for trucks on Pennsylvania turnpike and other toll locations where tolls are based on weight.  # noqa: E501

        :param weight_per_axle: The weight_per_axle of this Truck.  # noqa: E501
        :type: float
        """

        self._weight_per_axle = weight_per_axle

    @property
    def height(self):
        """Gets the height of this Truck.  # noqa: E501

        Vehicle height in feet. The provided value must be between 0 and 50. <br> If vehicle height is not specified, incorrect tolls may be calculated on New York Thruway and other toll roads where tolls are based on axles and weight.  # noqa: E501

        :return: The height of this Truck.  # noqa: E501
        :rtype: float
        """
        return self._height

    @height.setter
    def height(self, height):
        """Sets the height of this Truck.

        Vehicle height in feet. The provided value must be between 0 and 50. <br> If vehicle height is not specified, incorrect tolls may be calculated on New York Thruway and other toll roads where tolls are based on axles and weight.  # noqa: E501

        :param height: The height of this Truck.  # noqa: E501
        :type: float
        """

        self._height = height

    @property
    def width(self):
        """Gets the width of this Truck.  # noqa: E501

        Vehicle width in feet. The provided value must be between 0 and 50.  # noqa: E501

        :return: The width of this Truck.  # noqa: E501
        :rtype: float
        """
        return self._width

    @width.setter
    def width(self, width):
        """Sets the width of this Truck.

        Vehicle width in feet. The provided value must be between 0 and 50.  # noqa: E501

        :param width: The width of this Truck.  # noqa: E501
        :type: float
        """

        self._width = width

    @property
    def length(self):
        """Gets the length of this Truck.  # noqa: E501

        Vehicle length in feet. The provided value must be between 0 and 300.  # noqa: E501

        :return: The length of this Truck.  # noqa: E501
        :rtype: float
        """
        return self._length

    @length.setter
    def length(self, length):
        """Sets the length of this Truck.

        Vehicle length in feet. The provided value must be between 0 and 300.  # noqa: E501

        :param length: The length of this Truck.  # noqa: E501
        :type: float
        """

        self._length = length

    @property
    def tunnel_category(self):
        """Gets the tunnel_category of this Truck.  # noqa: E501

        Specifies the tunnel category to restrict certain route links. The route will pass only through tunnels of a less strict category.  # noqa: E501

        :return: The tunnel_category of this Truck.  # noqa: E501
        :rtype: str
        """
        return self._tunnel_category

    @tunnel_category.setter
    def tunnel_category(self, tunnel_category):
        """Sets the tunnel_category of this Truck.

        Specifies the tunnel category to restrict certain route links. The route will pass only through tunnels of a less strict category.  # noqa: E501

        :param tunnel_category: The tunnel_category of this Truck.  # noqa: E501
        :type: str
        """
        allowed_values = ["B", "C", "D", "E"]  # noqa: E501
        if tunnel_category not in allowed_values:
            raise ValueError(
                "Invalid value for `tunnel_category` ({0}), must be one of {1}"  # noqa: E501
                .format(tunnel_category, allowed_values)
            )

        self._tunnel_category = tunnel_category

    @property
    def truck_restriction_penalty(self):
        """Gets the truck_restriction_penalty of this Truck.  # noqa: E501

        pecifies the penalty type on violated truck restrictions.<br><code>strict</code>: route will not use links with a violated truck restriction at any circumstances<br><strong>Note</strong>: Route computation will fail and return NoRouteFound if not able to avoid the links with a violated truck restriction and the penalty type is strict.<br><code>soft</code>: route will use links with a violated truck restriction if there is no alternative to avoid them<  # noqa: E501

        :return: The truck_restriction_penalty of this Truck.  # noqa: E501
        :rtype: str
        """
        return self._truck_restriction_penalty

    @truck_restriction_penalty.setter
    def truck_restriction_penalty(self, truck_restriction_penalty):
        """Sets the truck_restriction_penalty of this Truck.

        pecifies the penalty type on violated truck restrictions.<br><code>strict</code>: route will not use links with a violated truck restriction at any circumstances<br><strong>Note</strong>: Route computation will fail and return NoRouteFound if not able to avoid the links with a violated truck restriction and the penalty type is strict.<br><code>soft</code>: route will use links with a violated truck restriction if there is no alternative to avoid them<  # noqa: E501

        :param truck_restriction_penalty: The truck_restriction_penalty of this Truck.  # noqa: E501
        :type: str
        """
        allowed_values = ["strict", "soft"]  # noqa: E501
        if truck_restriction_penalty not in allowed_values:
            raise ValueError(
                "Invalid value for `truck_restriction_penalty` ({0}), must be one of {1}"  # noqa: E501
                .format(truck_restriction_penalty, allowed_values)
            )

        self._truck_restriction_penalty = truck_restriction_penalty

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(Truck, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, Truck):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
